import itertools, json, random

def result_chart_js(exam_logs_json, color_json = None) :
    '''
    

    color_json = {
    "tag1" : "#2e5355"
    "tag2" : "#c348f1"
    }
    :param student_json:
    :param test_json:
    :param color_json:
    :return: chart.js json
    '''
    exam_logs_json = json.loads(exam_logs_json)

    all_tag = [q['tags'] for e in exam_logs_json['exam_logs'] for q in e['exam']['questions']]
    all_tag = list(itertools.chain(*all_tag))

    all_tag = [x['name'] for x in all_tag]
    all_tag = list(set(all_tag))
    all_tag = sorted(all_tag)

    prob_nums = [len(e['exam']['questions']) for e in exam_logs_json['exam_logs']]

    #accs = [[cor for ans, cor in zip(t_ans['answer'], test['problems']) if ans == cor['correctanswer']] for t_ans, test in zip(student_json['test'], test_json)]

    accs = []
    for i, e in enumerate(exam_logs_json['exam_logs']) :
        accs.append([])
        for j, cor in enumerate(e['exam']['questions']) :
            if j < len(e['answers']) and e['answers'][j]['id'] == cor['response']['answer']['id'] :
                accs[i].append(cor)

    for acc in accs :
        for p in acc :
            tag_list = []
            for t in p['tags'] :
                tag_list.append(t['name'])

            p['tags'] = tag_list


    print(accs)

    tag_cor = {}
    for t in all_tag :
        acc_scores = [sum([1 / len(p['tags']) for p in acc if t in p['tags']]) * 100.0 / prob_nums[i] for i, acc in enumerate(accs)]

        tag_cor[t] = acc_scores

    print(tag_cor)

    chart_dic = {}
    chart_dic['type'] = "bar"

    data_dic = {}
    data_dic['labels'] = [t['exam']['name'] for t in exam_logs_json['exam_logs']]
    if color_json == None :
        data_dic['datasets'] = [{'label':t, 'data':s, 'backgroundColor':'#'+hex(random.randrange(16777215))[2:]} for t, s in tag_cor.items()]
    else :
        data_dic['datasets'] = [{'label':t, 'data':s, 'backgroundColor':color_json[t]} for t, s in tag_cor.items()]

    chart_dic['data'] = data_dic

    option_dic= {}
    option_dic['scales'] = {'xAxes':[{'stacked':'true'}], 'yAxes':[{'stacked':'true', 'ticks': {'max':100}}]}
    chart_dic['options'] = option_dic

    chart_json = json.dumps(chart_dic)

    return chart_json



if __name__ == "__main__" :
    c_json = result_chart_js('{"id": 9, "exam_logs": [{"id": 39, "answers": [{"id": 4, "text": "\\u314b"}, {"id": 31, "text": "\\u3131, \\u3139"}, {"id": 36, "text": "21"}, {"id": 41, "text": "top down"}], "exam": {"id": 3, "questions": [{"id": 6, "response": {"id": 5, "choices": [{"id": 2, "text": "\\u3148"}, {"id": 3, "text": "\\u314a"}, {"id": 4, "text": "\\u314b"}, {"id": 5, "text": "\\u314c"}, {"id": 25, "text": "\\u3145"}], "answer": {"id": 2, "text": "\\u3148"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 5, "blocks": [{"id": 5, "text": "\\uac00\\uc744\\uc774\\ub294 \\ubc31\\ud654\\uc810 \\uc548\\uc5d0 \\uc788\\ub294 \\uc601\\ud654\\uad00\\uc5d0\\uc11c \\uc601\\ud654\\ub97c \\ubcf4\\ub824\\uace0 \\ud569\\ub2c8\\ub2e4. \\ub2e4\\uc74c\\uacfc \\uac19\\uc740 \\uc21c\\uc11c\\ub85c \\uc7a5\\uc18c\\ub97c \\ucc3e\\uc744 \\uc218 \\uc788\\ub2e4.\\r\\n\\r\\n\\ubc31\\ud654\\uc810 \\ub0b4\\uc5d0 \\uc788\\ub294 \\uc601\\ud654\\uad00\\uc744 \\ucc3e\\uae30 \\uc704\\ud55c \\ubc29\\ubc95\\uc740 \\ub2e4\\uc74c\\uacfc \\uac19\\ub2e4.\\r\\n\\ubc31\\ud654\\uc810 1\\uce35\\uc5d0 \\uc788\\ub294 iMAP\\uc73c\\ub85c \\uac04\\ub2e4. \\uadf8 \\ub2e4\\uc74c \\uac00\\uace0\\uc790 \\ud558\\ub294 \\uc7a5\\uc18c\\ub97c \\uac80\\uc0c9\\ud55c\\ub2e4. \\r\\niMAP\\uc5d0\\uc11c \\uc7a5\\uc18c\\uc5d0 \\ub300\\ud55c \\uc704\\uce58\\uc815\\ubcf4\\ub97c 2\\uac00\\uc9c0 \\ud78c\\ud2b8\\ub85c \\uc81c\\uacf5\\ub41c\\ub2e4. \\r\\n\\r\\n\\uccab \\ubc88\\uc9f8 \\ud78c\\ud2b8\\ub294 \\uc7a5\\uc18c\\uac00 \\uba87 \\uce35\\uc5d0 \\uc788\\ub294\\uc9c0\\ub97c \\ud55c\\uae00\\ub85c \\uc54c\\ub824\\uc8fc\\uace0,\\r\\n\\ub450 \\ubc88\\uc9f8 \\ud78c\\ud2b8\\ub294 \\uc5b4\\ub290 \\uc704\\uce58\\uc5d0 \\uc788\\ub294\\uc9c0\\ub97c \\uc22b\\uc790\\uc815\\ubcf4\\ub85c \\uc54c\\ub824\\uc900\\ub2e4.\\r\\n\\r\\n\\uc608\\ub97c \\ub4e4\\uc5b4, \\u3131\\uc774\\uba74 1\\uce35\\uc774\\uace0 \\u3141\\uc774\\uba74 5\\uce35\\uc744 \\ub098\\ud0c0\\ub0b8\\ub2e4.\\r\\n\\r\\n*\\ud55c\\uae00 \\uc21c\\uc11c: \\u3131 \\u3134 \\u3137 \\u3139 \\u3141 \\u3142 \\u3145 \\u3147 \\u3148 \\u314a \\u314b \\u314c \\u314d \\u314e\\r\\n*\\uc601\\ubb38 \\uc21c\\uc11c: A B C D E F G H I J K L M N O P Q R S T U V W X Y Z\\r\\n\\r\\n\\r\\n\\uc601\\ud654\\uad00\\uc5d0 \\ub300\\ud55c iMAP\\uc758 \\uc704\\uce58 \\uc815\\ubcf4\\uac00 \\ub2e4\\uc74c\\uacfc \\uac19\\uc744 \\ub54c, \\uc601\\ud654\\uad00\\uc740 \\uba87 \\uce35\\uc5d0 \\uc788\\uc2b5\\ub2c8\\uae4c?\\r\\n\\r\\n[ \\uc601\\ud654\\uad00: \\u3137 + \\u3147 - \\u3131 ]", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 1, "name": "\\ubd84\\uc11d\\ub2a5\\ub825"}], "name": "among_middle1"}, {"id": 7, "response": {"id": 6, "choices": [{"id": 29, "text": "\\u3131, \\u3134"}, {"id": 30, "text": "\\u3131, \\u3137"}, {"id": 31, "text": "\\u3131, \\u3139"}, {"id": 32, "text": "\\u3131, \\u3141"}, {"id": 33, "text": "\\u3131, \\u3134, \\u3137, \\u3139, \\u3141"}], "answer": {"id": 31, "text": "\\u3131, \\u3139"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 6, "blocks": [{"id": 6, "text": "\\uac00\\uc744\\uc774\\ub294 \\uc601\\ud654\\ub97c \\ub2e4 \\ubcf8 \\ud6c4 \\uc5b4\\uba38\\ub2c8\\uc640 \\uc2dd\\ud488\\uad00\\uc5d0\\uc11c \\ub9cc\\ub098\\uae30\\ub85c \\ud588\\ub2e4. \\ub2e4\\uc74c\\uc740 \\uac00\\uc744\\uc774\\uac00 \\uc2dd\\ud488\\uad00\\uc5d0 \\uac00\\uae30 \\uc704\\ud574\\uc11c \\uace0\\ub824\\ud574\\uc57c \\ud560 \\uc804\\uc81c\\uc870\\uac74\\uc5d0 \\ub300\\ud574 \\ub098\\uc5f4\\ud55c \\uac83\\uc774\\ub2e4. \\ubc18\\ub4dc\\uc2dc \\ud544\\uc694\\ud55c \\uc870\\uac74\\uc73c\\ub85c\\ub9cc \\ubb36\\uc778 \\uac83\\uc740? \\r\\n\\r\\n\\r\\n\\u3131. iMAP\\uc5d0\\uc11c \\uc2dd\\ud488\\uad00\\uc744 \\uac80\\uc0c9\\ud588\\ub294\\uac00?\\r\\n\\u3134. iMAP\\uc774 1\\uce35 \\uc678\\uc5d0 \\ub2e4\\ub978 \\uacf3\\uc5d0\\ub3c4 \\uc788\\ub294\\uac00?\\r\\n\\u3137. \\uc5b4\\uba38\\ub2c8\\ub294 \\uc2dd\\ud488\\uad00 \\uc911 \\uc5b4\\ub290 \\ucf54\\ub108\\uc5d0 \\uc788\\ub294\\uac00?\\r\\n\\u3139. \\uc704\\uce58 \\uc815\\ubcf4\\uc5d0 \\ub300\\ud55c \\ud55c\\uae00 \\ud78c\\ud2b8\\uac00 \\uc8fc\\uc5b4\\uc84c\\ub294\\uac00?\\r\\n\\u3141. \\uc5d8\\ub9ac\\ubca0\\uc774\\ud130 \\uc791\\ub3d9\\uc740 \\uc6d0\\ud65c\\ud55c\\uac00?", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 2, "name": "\\ubaa8\\ub378\\ub9c1 \\ub2a5\\ub825"}], "name": "among_middle2"}, {"id": 8, "response": {"id": 7, "choices": [{"id": 34, "text": "3"}, {"id": 35, "text": "20"}, {"id": 36, "text": "21"}, {"id": 37, "text": "22"}, {"id": 38, "text": "23"}], "answer": {"id": 37, "text": "22"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 7, "blocks": [{"id": 7, "text": "\\ub2e4\\uc74c\\uacfc \\uac19\\uc740 \\uc77c\\ub828\\uc758 \\uc21c\\uc11c\\ub85c \\uc2dd\\ud488\\uad00\\uc744 \\ucc3e\\uc73c\\ub824\\uace0 \\ud55c\\ub2e4. \\r\\n\\r\\n1) iMAP\\uc73c\\ub85c \\uac00\\uc11c \\uc7a5\\uc18c\\ub97c \\uac80\\uc0c9\\ud55c\\ub2e4.\\r\\n                            \\u2193\\r\\n2) \\uc704\\uce58\\uc815\\ubcf4\\ub97c \\ud655\\uc778\\ud55c\\ub2e4.\\r\\n                            \\u2193\\r\\n3) \\ud55c\\uae00 \\ud78c\\ud2b8\\uc5d0 \\ub300\\ud55c \\uc815\\ubcf4\\ub97c \\ud574\\ub3c5\\ud558\\uc5ec \\uc2dd\\ud488\\uad00\\uc774 \\uba87 \\uce35\\uc778\\uc9c0 \\ud655\\uc778\\ud55c\\ub2e4.\\r\\n(\\ub2e8, \\uac01 \\uae00\\uc790\\ub294 \\u3131\\ubd80\\ud130 \\uc2dc\\uc791\\ud558\\uc5ec \\ubc18\\ubcf5\\ud69f\\uc218\\ub97c \\uacc4\\uc0b0\\ud55c\\ub2e4. \\uc608\\ub97c \\ub4e4\\uc5b4, \\u3137\\uc758 \\uacbd\\uc6b0 \\ubc18\\ubcf5\\ud69f\\uc218\\ub294 3\\ubc88\\uc774\\ub2e4.)\\r\\n*\\ud55c\\uae00 \\uc21c\\uc11c: \\u3131 \\u3134 \\u3137 \\u3139 \\u3141 \\u3142 \\u3145 \\u3147 \\u3148 \\u314a \\u314b \\u314c \\u314d \\u314e\\r\\n                            \\u2193\\r\\n4) \\uc2dd\\ud488\\uad00\\uc758 \\uc704\\uce58\\ub97c \\ud655\\uc778\\ud558\\uc5ec \\uc7a5\\uc18c\\ub97c \\uc774\\ub3d9\\ud55c\\ub2e4.\\r\\n\\r\\n\\r\\n\\uc2dd\\ud488\\uad00\\uc758 \\uc704\\uce58\\uc5d0 \\ub300\\ud55c iMAP\\uc758 \\ud55c\\uae00 \\ud78c\\ud2b8 \\uc815\\ubcf4\\uac00 \\ub2e4\\uc74c\\uacfc \\uac19\\uc744 \\ub54c, \\uacfc\\uc815 3)\\uc744 \\uba87 \\ubc88 \\ubc18\\ubcf5\\ud574\\uc57c \\ud560\\uae4c?\\r\\n\\r\\n[ \\uc2dd\\ud488\\uad00: \\u3145 + \\u3141 - \\u314a ]", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 4, "name": "\\uad6c\\ud604\\ub2a5\\ub825"}], "name": "among_middle3"}, {"id": 9, "response": {"id": 8, "choices": [{"id": 39, "text": "bottom up"}, {"id": 40, "text": "top up up"}, {"id": 41, "text": "top down"}, {"id": 42, "text": "top left"}, {"id": 43, "text": "right up"}], "answer": {"id": 43, "text": "right up"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 8, "blocks": [{"id": 8, "text": "\\uac00\\uc744\\uc774 \\uc5b4\\uba38\\ub2c8\\uac00 \\uc2dd\\ud488\\uad00 \\uc911 \\uacfc\\uc77c\\ucf54\\ub108\\uc5d0 \\uc788\\ub2e4\\uace0 \\ud560 \\ub54c, \\uacfc\\uc77c\\ucf54\\ub108\\ub85c \\uac00\\uae30 \\uc704\\ud574\\uc11c\\ub294 \\ub2e4\\uc74c\\uc758 \\uc554\\ud638\\ub97c \\ud574\\ub3c5\\ud574\\uc57c \\ud55c\\ub2e4. \\r\\n\\r\\n[ 18978202116 ]\\r\\n\\r\\n*\\uc601\\ubb38 \\uc21c\\uc11c: A B C D E F G H I J K L M N O P Q R S T U V W X Y Z\\r\\n\\r\\n\\uc554\\ud638\\uc758 \\uc22b\\uc790\\ub294 \\uac01\\uac01 \\ucd1d 7\\uac1c\\uc758 \\uc601\\ubb38\\uc790\\uc5d0 \\ub300\\uc751\\ub418\\uace0 1,5,6,7\\ubc88\\uc9f8 \\ubb38\\uc790\\ub294 2\\uc790\\ub9ac \\uc218\\ub85c \\ub098\\ud0c0\\ub09c\\ub2e4. \\ub2e4\\uc74c \\uc911 \\uacfc\\uc77c\\ucf54\\ub108\\uc758 \\uc704\\uce58\\ub294 \\uc5b4\\ub514\\uc77c\\uae4c?", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 3, "name": "\\uc77c\\ubc18\\ud654 \\ub2a5\\ub825"}], "name": "among_middle4"}], "name": "middle"}}, {"id": 52, "answers": [{"id": 3, "text": "\\u314a"}], "exam": {"id": 1, "questions": [{"id": 1, "response": {"id": 1, "choices": [{"id": 2, "text": "\\u3148"}, {"id": 3, "text": "\\u314a"}, {"id": 4, "text": "\\u314b"}, {"id": 5, "text": "\\u314c"}, {"id": 6, "text": "\\u314d"}], "answer": {"id": 3, "text": "\\u314a"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 1, "blocks": [{"id": 1, "text": "\\uac00\\uc744\\uc774\\ub294 \\ubc31\\ud654\\uc810 \\uc548\\uc5d0 \\uc788\\ub294 \\uc601\\ud654\\uad00\\uc5d0\\uc11c \\uc601\\ud654\\ub97c \\ubcf4\\ub824\\uace0 \\ud569\\ub2c8\\ub2e4. \\ub2e4\\uc74c\\uacfc \\uac19\\uc740 \\uc21c\\uc11c\\ub85c \\uc7a5\\uc18c\\ub97c \\ucc3e\\uc744 \\uc218 \\uc788\\ub2e4.\\r\\n\\r\\n\\ubc31\\ud654\\uc810 \\ub0b4\\uc5d0 \\uc788\\ub294 \\uc601\\ud654\\uad00\\uc744 \\ucc3e\\uae30 \\uc704\\ud55c \\ubc29\\ubc95\\uc740 \\ub2e4\\uc74c\\uacfc \\uac19\\ub2e4.\\r\\n\\ubc31\\ud654\\uc810 1\\uce35\\uc5d0 \\uc788\\ub294 iMAP\\uc73c\\ub85c \\uac04\\ub2e4. \\uadf8 \\ub2e4\\uc74c \\uac00\\uace0\\uc790 \\ud558\\ub294 \\uc7a5\\uc18c\\ub97c \\uac80\\uc0c9\\ud55c\\ub2e4. \\r\\niMAP\\uc5d0\\uc11c \\uc7a5\\uc18c\\uc5d0 \\ub300\\ud55c \\uc704\\uce58\\uc815\\ubcf4\\ub97c 2\\uac00\\uc9c0 \\ud78c\\ud2b8\\ub85c \\uc81c\\uacf5\\ub41c\\ub2e4. \\r\\n\\r\\n\\uccab \\ubc88\\uc9f8 \\ud78c\\ud2b8\\ub294 \\uc7a5\\uc18c\\uac00 \\uba87 \\uce35\\uc5d0 \\uc788\\ub294\\uc9c0\\ub97c \\ud55c\\uae00\\ub85c \\uc54c\\ub824\\uc8fc\\uace0,\\r\\n\\ub450 \\ubc88\\uc9f8 \\ud78c\\ud2b8\\ub294 \\uc5b4\\ub290 \\uc704\\uce58\\uc5d0 \\uc788\\ub294\\uc9c0\\ub97c \\uc22b\\uc790\\uc815\\ubcf4\\ub85c \\uc54c\\ub824\\uc900\\ub2e4.\\r\\n\\r\\n\\uc608\\ub97c \\ub4e4\\uc5b4, \\u3131\\uc774\\uba74 1\\uce35\\uc774\\uace0 \\u3141\\uc774\\uba74 5\\uce35\\uc744 \\ub098\\ud0c0\\ub0b8\\ub2e4.\\r\\n\\ud55c\\uae00\\uacfc \\ub3d9\\uc77c\\ud558\\uac8c A\\uc774\\uba74 1\\uce35\\uc774\\uace0 E\\uc774\\uba74 5\\uce35\\uc744 \\ub098\\ud0c0\\ub0b8\\ub2e4.\\r\\n\\r\\n*\\ud55c\\uae00 \\uc21c\\uc11c: \\u3131 \\u3134 \\u3137 \\u3139 \\u3141 \\u3142 \\u3145 \\u3147 \\u3148 \\u314a \\u314b \\u314c \\u314d \\u314e\\r\\n*\\uc601\\ubb38 \\uc21c\\uc11c: A B C D E F G H I J K L M N O P Q R S T U V W X Y Z\\r\\n\\r\\n\\uc601\\ud654\\uad00\\uc5d0 \\ub300\\ud55c iMAP\\uc758 \\uc704\\uce58 \\uc815\\ubcf4\\uac00 \\ub2e4\\uc74c\\uacfc \\uac19\\uc744 \\ub54c, \\uc601\\ud654\\uad00\\uc740 \\uba87 \\uce35\\uc5d0 \\uc788\\uc2b5\\ub2c8\\uae4c? \\r\\n\\r\\n\\r\\n[ \\uc601\\ud654\\uad00 : \\u3137 + \\u3147 ]", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 1, "name": "\\ubd84\\uc11d\\ub2a5\\ub825"}], "name": "among_elementary1"}, {"id": 2, "response": {"id": 2, "choices": [{"id": 1, "text": "\\u3131, \\u3134"}, {"id": 7, "text": "\\u3131, \\u3134, \\u3137, \\u3139, \\u3141"}, {"id": 8, "text": "\\u3131, \\u3134, \\u3137"}, {"id": 9, "text": "\\u3131, \\u3134, \\u3139"}, {"id": 10, "text": "\\u3131, \\u3134, \\u3141"}], "answer": {"id": 9, "text": "\\u3131, \\u3134, \\u3139"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 2, "blocks": [{"id": 2, "text": "\\uac00\\uc744\\uc774\\ub294 \\uc601\\ud654\\ub97c \\ub2e4 \\ubcf8 \\ud6c4 \\uc5b4\\uba38\\ub2c8\\uc640 \\uc2dd\\ud488\\uad00\\uc5d0\\uc11c \\ub9cc\\ub098\\uae30\\ub85c \\ud588\\ub2e4. \\ub2e4\\uc74c\\uc740 \\uac00\\uc744\\uc774\\uac00 \\uc2dd\\ud488\\uad00\\uc5d0 \\uac00\\uae30 \\uc704\\ud574\\uc11c \\uace0\\ub824\\ud574\\uc57c \\ud560 \\uc804\\uc81c\\uc870\\uac74\\uc5d0 \\ub300\\ud574 \\ub098\\uc5f4\\ud55c \\uac83\\uc774\\ub2e4. \\ubc18\\ub4dc\\uc2dc \\ud544\\uc694\\ud55c \\uc870\\uac74\\uc73c\\ub85c\\ub9cc \\ubb36\\uc778 \\uac83\\uc740? \\r\\n\\r\\n\\r\\n\\r\\n\\u3131. \\uc5b4\\ub290 \\uc7a5\\uc18c\\ub97c \\uac00\\uc57c\\ud558\\ub294\\uc9c0 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3134. iMAP\\uc774 \\uc5b4\\ub514\\uc788\\ub294\\uc9c0 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3137. \\ubc31\\ud654\\uc810 \\uc6b4\\uc601\\uc2dc\\uac04\\uc744 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3139. \\uc704\\uce58 \\uc815\\ubcf4\\uc5d0 \\ub300\\ud55c \\ud78c\\ud2b8\\ub97c \\ud574\\ub3c5\\ud560 \\uc218 \\uc788\\ub294\\uac00?\\r\\n\\u3141. \\uc5d8\\ub9ac\\ubca0\\uc774\\ud130 \\uc791\\ub3d9\\uc740 \\uc6d0\\ud65c\\ud55c\\uac00?", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 2, "name": "\\ubaa8\\ub378\\ub9c1 \\ub2a5\\ub825"}], "name": "among_elementary2"}, {"id": 3, "response": {"id": 3, "choices": [{"id": 11, "text": "2"}, {"id": 12, "text": "5"}, {"id": 13, "text": "7"}, {"id": 14, "text": "12"}, {"id": 15, "text": "13"}], "answer": {"id": 14, "text": "12"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 3, "blocks": [{"id": 3, "text": "\\ub2e4\\uc74c\\uacfc \\uac19\\uc740 \\uc77c\\ub828\\uc758 \\uc21c\\uc11c\\ub85c \\uc2dd\\ud488\\uad00\\uc744 \\ucc3e\\uc73c\\ub824\\uace0 \\ud55c\\ub2e4.\\r\\n\\r\\n\\r\\n1) iMAP\\uc73c\\ub85c \\uac00\\uc11c \\uc7a5\\uc18c\\ub97c \\uac80\\uc0c9\\ud55c\\ub2e4.\\r\\n                            \\u2193\\r\\n2) \\uc704\\uce58\\uc815\\ubcf4\\ub97c \\ud655\\uc778\\ud55c\\ub2e4.\\r\\n                            \\u2193\\r\\n3) \\ud55c\\uae00 \\ud78c\\ud2b8\\uc5d0 \\ub300\\ud55c \\uc815\\ubcf4\\ub97c \\ud574\\ub3c5\\ud558\\uc5ec \\uc2dd\\ud488\\uad00\\uc774 \\uba87 \\uce35\\uc778\\uc9c0 \\ud655\\uc778\\ud55c\\ub2e4.\\r\\n(\\ub2e8, \\uac01 \\uae00\\uc790\\ub294 \\u3131\\ubd80\\ud130 \\uc2dc\\uc791\\ud558\\uc5ec \\ubc18\\ubcf5\\ud69f\\uc218\\ub97c \\uacc4\\uc0b0\\ud55c\\ub2e4. \\uc608\\ub97c \\ub4e4\\uc5b4, \\u3137\\uc758 \\uacbd\\uc6b0 \\ubc18\\ubcf5\\ud69f\\uc218\\ub294 3\\ubc88\\uc774\\ub2e4.)\\r\\n*\\ud55c\\uae00 \\uc21c\\uc11c: \\u3131 \\u3134 \\u3137 \\u3139 \\u3141 \\u3142 \\u3145 \\u3147 \\u3148 \\u314a \\u314b \\u314c \\u314d \\u314e\\r\\n                            \\u2193\\r\\n4) \\uc2dd\\ud488\\uad00\\uc758 \\uc704\\uce58\\ub97c \\ud655\\uc778\\ud558\\uc5ec \\uc7a5\\uc18c\\ub97c \\uc774\\ub3d9\\ud55c\\ub2e4.\\r\\n\\r\\n\\r\\n\\r\\n\\uc2dd\\ud488\\uad00\\uc758 \\uc704\\uce58\\uc5d0 \\ub300\\ud55c iMAP\\uc758 \\ud55c\\uae00 \\ud78c\\ud2b8 \\uc815\\ubcf4\\uac00 \\ub2e4\\uc74c\\uacfc \\uac19\\uc744 \\ub54c, \\uacfc\\uc815 3)\\uc744 \\uba87 \\ubc88 \\ubc18\\ubcf5\\ud574\\uc57c \\ud560\\uae4c? \\r\\n\\r\\n[ \\uc2dd\\ud488\\uad00: \\u3145 + \\u3141]", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 4, "name": "\\uad6c\\ud604\\ub2a5\\ub825"}], "name": "among_elementary3"}, {"id": 4, "response": {"id": 4, "choices": [{"id": 16, "text": "bottom up"}, {"id": 17, "text": "top up up"}, {"id": 18, "text": "top down"}, {"id": 19, "text": "top left"}, {"id": 20, "text": "right up"}], "answer": {"id": 20, "text": "right up"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 4, "blocks": [{"id": 4, "text": "\\uac00\\uc744\\uc774 \\uc5b4\\uba38\\ub2c8\\uac00 \\uc2dd\\ud488\\uad00 \\uc911 \\uacfc\\uc77c\\ucf54\\ub108\\uc5d0 \\uc788\\ub2e4\\uace0 \\ud560 \\ub54c, \\uacfc\\uc77c\\ucf54\\ub108\\ub85c \\uac00\\uae30 \\uc704\\ud574\\uc11c\\ub294 \\ub2e4\\uc74c\\uc758 \\uc554\\ud638\\ub97c \\ud574\\ub3c5\\ud574\\uc57c \\ud55c\\ub2e4. \\r\\n\\r\\n[ 18090708202116 ]\\r\\n\\r\\n*\\uc601\\ubb38 \\uc21c\\uc11c: A B C D E F G H I J K L M N O P Q R S T U V W X Y Z\\r\\n\\r\\n\\uc554\\ud638\\uc758 \\uc22b\\uc790\\ub294 \\ub450 \\uc790\\ub9ac\\uc529 \\ub04a\\uc5b4\\uc11c \\ud574\\ub3c5\\ud558\\uace0 \\uac01\\uac01 1\\uac1c\\uc758 \\uc601\\ubb38\\uc790\\uc5d0 \\ub300\\uc751\\ub41c\\ub2e4. \\uc554\\ud638\\uac00 \\ucd1d 7\\uac1c\\uc758 \\uc601\\ubb38\\uc790\\ub85c \\uc774\\ub8e8\\uc5b4\\uc84c\\ub2e4\\uace0 \\ud560 \\ub54c, \\ub2e4\\uc74c \\uc911 \\uacfc\\uc77c\\ucf54\\ub108\\uc758 \\uc704\\uce58\\ub294 \\uc5b4\\ub514\\uc77c\\uae4c?", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 3, "name": "\\uc77c\\ubc18\\ud654 \\ub2a5\\ub825"}], "name": "among_elementary4"}], "name": "elementary"}}, {"id": 53, "answers": [{"id": 3, "text": "\\u314a"}, {"id": 9, "text": "\\u3131, \\u3134, \\u3139"}, {"id": 13, "text": "7"}, {"id": 18, "text": "top down"}], "exam": {"id": 1, "questions": [{"id": 1, "response": {"id": 1, "choices": [{"id": 2, "text": "\\u3148"}, {"id": 3, "text": "\\u314a"}, {"id": 4, "text": "\\u314b"}, {"id": 5, "text": "\\u314c"}, {"id": 6, "text": "\\u314d"}], "answer": {"id": 3, "text": "\\u314a"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 1, "blocks": [{"id": 1, "text": "\\uac00\\uc744\\uc774\\ub294 \\ubc31\\ud654\\uc810 \\uc548\\uc5d0 \\uc788\\ub294 \\uc601\\ud654\\uad00\\uc5d0\\uc11c \\uc601\\ud654\\ub97c \\ubcf4\\ub824\\uace0 \\ud569\\ub2c8\\ub2e4. \\ub2e4\\uc74c\\uacfc \\uac19\\uc740 \\uc21c\\uc11c\\ub85c \\uc7a5\\uc18c\\ub97c \\ucc3e\\uc744 \\uc218 \\uc788\\ub2e4.\\r\\n\\r\\n\\ubc31\\ud654\\uc810 \\ub0b4\\uc5d0 \\uc788\\ub294 \\uc601\\ud654\\uad00\\uc744 \\ucc3e\\uae30 \\uc704\\ud55c \\ubc29\\ubc95\\uc740 \\ub2e4\\uc74c\\uacfc \\uac19\\ub2e4.\\r\\n\\ubc31\\ud654\\uc810 1\\uce35\\uc5d0 \\uc788\\ub294 iMAP\\uc73c\\ub85c \\uac04\\ub2e4. \\uadf8 \\ub2e4\\uc74c \\uac00\\uace0\\uc790 \\ud558\\ub294 \\uc7a5\\uc18c\\ub97c \\uac80\\uc0c9\\ud55c\\ub2e4. \\r\\niMAP\\uc5d0\\uc11c \\uc7a5\\uc18c\\uc5d0 \\ub300\\ud55c \\uc704\\uce58\\uc815\\ubcf4\\ub97c 2\\uac00\\uc9c0 \\ud78c\\ud2b8\\ub85c \\uc81c\\uacf5\\ub41c\\ub2e4. \\r\\n\\r\\n\\uccab \\ubc88\\uc9f8 \\ud78c\\ud2b8\\ub294 \\uc7a5\\uc18c\\uac00 \\uba87 \\uce35\\uc5d0 \\uc788\\ub294\\uc9c0\\ub97c \\ud55c\\uae00\\ub85c \\uc54c\\ub824\\uc8fc\\uace0,\\r\\n\\ub450 \\ubc88\\uc9f8 \\ud78c\\ud2b8\\ub294 \\uc5b4\\ub290 \\uc704\\uce58\\uc5d0 \\uc788\\ub294\\uc9c0\\ub97c \\uc22b\\uc790\\uc815\\ubcf4\\ub85c \\uc54c\\ub824\\uc900\\ub2e4.\\r\\n\\r\\n\\uc608\\ub97c \\ub4e4\\uc5b4, \\u3131\\uc774\\uba74 1\\uce35\\uc774\\uace0 \\u3141\\uc774\\uba74 5\\uce35\\uc744 \\ub098\\ud0c0\\ub0b8\\ub2e4.\\r\\n\\ud55c\\uae00\\uacfc \\ub3d9\\uc77c\\ud558\\uac8c A\\uc774\\uba74 1\\uce35\\uc774\\uace0 E\\uc774\\uba74 5\\uce35\\uc744 \\ub098\\ud0c0\\ub0b8\\ub2e4.\\r\\n\\r\\n*\\ud55c\\uae00 \\uc21c\\uc11c: \\u3131 \\u3134 \\u3137 \\u3139 \\u3141 \\u3142 \\u3145 \\u3147 \\u3148 \\u314a \\u314b \\u314c \\u314d \\u314e\\r\\n*\\uc601\\ubb38 \\uc21c\\uc11c: A B C D E F G H I J K L M N O P Q R S T U V W X Y Z\\r\\n\\r\\n\\uc601\\ud654\\uad00\\uc5d0 \\ub300\\ud55c iMAP\\uc758 \\uc704\\uce58 \\uc815\\ubcf4\\uac00 \\ub2e4\\uc74c\\uacfc \\uac19\\uc744 \\ub54c, \\uc601\\ud654\\uad00\\uc740 \\uba87 \\uce35\\uc5d0 \\uc788\\uc2b5\\ub2c8\\uae4c? \\r\\n\\r\\n\\r\\n[ \\uc601\\ud654\\uad00 : \\u3137 + \\u3147 ]", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 1, "name": "\\ubd84\\uc11d\\ub2a5\\ub825"}], "name": "among_elementary1"}, {"id": 2, "response": {"id": 2, "choices": [{"id": 1, "text": "\\u3131, \\u3134"}, {"id": 7, "text": "\\u3131, \\u3134, \\u3137, \\u3139, \\u3141"}, {"id": 8, "text": "\\u3131, \\u3134, \\u3137"}, {"id": 9, "text": "\\u3131, \\u3134, \\u3139"}, {"id": 10, "text": "\\u3131, \\u3134, \\u3141"}], "answer": {"id": 9, "text": "\\u3131, \\u3134, \\u3139"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 2, "blocks": [{"id": 2, "text": "\\uac00\\uc744\\uc774\\ub294 \\uc601\\ud654\\ub97c \\ub2e4 \\ubcf8 \\ud6c4 \\uc5b4\\uba38\\ub2c8\\uc640 \\uc2dd\\ud488\\uad00\\uc5d0\\uc11c \\ub9cc\\ub098\\uae30\\ub85c \\ud588\\ub2e4. \\ub2e4\\uc74c\\uc740 \\uac00\\uc744\\uc774\\uac00 \\uc2dd\\ud488\\uad00\\uc5d0 \\uac00\\uae30 \\uc704\\ud574\\uc11c \\uace0\\ub824\\ud574\\uc57c \\ud560 \\uc804\\uc81c\\uc870\\uac74\\uc5d0 \\ub300\\ud574 \\ub098\\uc5f4\\ud55c \\uac83\\uc774\\ub2e4. \\ubc18\\ub4dc\\uc2dc \\ud544\\uc694\\ud55c \\uc870\\uac74\\uc73c\\ub85c\\ub9cc \\ubb36\\uc778 \\uac83\\uc740? \\r\\n\\r\\n\\r\\n\\r\\n\\u3131. \\uc5b4\\ub290 \\uc7a5\\uc18c\\ub97c \\uac00\\uc57c\\ud558\\ub294\\uc9c0 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3134. iMAP\\uc774 \\uc5b4\\ub514\\uc788\\ub294\\uc9c0 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3137. \\ubc31\\ud654\\uc810 \\uc6b4\\uc601\\uc2dc\\uac04\\uc744 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3139. \\uc704\\uce58 \\uc815\\ubcf4\\uc5d0 \\ub300\\ud55c \\ud78c\\ud2b8\\ub97c \\ud574\\ub3c5\\ud560 \\uc218 \\uc788\\ub294\\uac00?\\r\\n\\u3141. \\uc5d8\\ub9ac\\ubca0\\uc774\\ud130 \\uc791\\ub3d9\\uc740 \\uc6d0\\ud65c\\ud55c\\uac00?", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 2, "name": "\\ubaa8\\ub378\\ub9c1 \\ub2a5\\ub825"}], "name": "among_elementary2"}, {"id": 3, "response": {"id": 3, "choices": [{"id": 11, "text": "2"}, {"id": 12, "text": "5"}, {"id": 13, "text": "7"}, {"id": 14, "text": "12"}, {"id": 15, "text": "13"}], "answer": {"id": 14, "text": "12"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 3, "blocks": [{"id": 3, "text": "\\ub2e4\\uc74c\\uacfc \\uac19\\uc740 \\uc77c\\ub828\\uc758 \\uc21c\\uc11c\\ub85c \\uc2dd\\ud488\\uad00\\uc744 \\ucc3e\\uc73c\\ub824\\uace0 \\ud55c\\ub2e4.\\r\\n\\r\\n\\r\\n1) iMAP\\uc73c\\ub85c \\uac00\\uc11c \\uc7a5\\uc18c\\ub97c \\uac80\\uc0c9\\ud55c\\ub2e4.\\r\\n                            \\u2193\\r\\n2) \\uc704\\uce58\\uc815\\ubcf4\\ub97c \\ud655\\uc778\\ud55c\\ub2e4.\\r\\n                            \\u2193\\r\\n3) \\ud55c\\uae00 \\ud78c\\ud2b8\\uc5d0 \\ub300\\ud55c \\uc815\\ubcf4\\ub97c \\ud574\\ub3c5\\ud558\\uc5ec \\uc2dd\\ud488\\uad00\\uc774 \\uba87 \\uce35\\uc778\\uc9c0 \\ud655\\uc778\\ud55c\\ub2e4.\\r\\n(\\ub2e8, \\uac01 \\uae00\\uc790\\ub294 \\u3131\\ubd80\\ud130 \\uc2dc\\uc791\\ud558\\uc5ec \\ubc18\\ubcf5\\ud69f\\uc218\\ub97c \\uacc4\\uc0b0\\ud55c\\ub2e4. \\uc608\\ub97c \\ub4e4\\uc5b4, \\u3137\\uc758 \\uacbd\\uc6b0 \\ubc18\\ubcf5\\ud69f\\uc218\\ub294 3\\ubc88\\uc774\\ub2e4.)\\r\\n*\\ud55c\\uae00 \\uc21c\\uc11c: \\u3131 \\u3134 \\u3137 \\u3139 \\u3141 \\u3142 \\u3145 \\u3147 \\u3148 \\u314a \\u314b \\u314c \\u314d \\u314e\\r\\n                            \\u2193\\r\\n4) \\uc2dd\\ud488\\uad00\\uc758 \\uc704\\uce58\\ub97c \\ud655\\uc778\\ud558\\uc5ec \\uc7a5\\uc18c\\ub97c \\uc774\\ub3d9\\ud55c\\ub2e4.\\r\\n\\r\\n\\r\\n\\r\\n\\uc2dd\\ud488\\uad00\\uc758 \\uc704\\uce58\\uc5d0 \\ub300\\ud55c iMAP\\uc758 \\ud55c\\uae00 \\ud78c\\ud2b8 \\uc815\\ubcf4\\uac00 \\ub2e4\\uc74c\\uacfc \\uac19\\uc744 \\ub54c, \\uacfc\\uc815 3)\\uc744 \\uba87 \\ubc88 \\ubc18\\ubcf5\\ud574\\uc57c \\ud560\\uae4c? \\r\\n\\r\\n[ \\uc2dd\\ud488\\uad00: \\u3145 + \\u3141]", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 4, "name": "\\uad6c\\ud604\\ub2a5\\ub825"}], "name": "among_elementary3"}, {"id": 4, "response": {"id": 4, "choices": [{"id": 16, "text": "bottom up"}, {"id": 17, "text": "top up up"}, {"id": 18, "text": "top down"}, {"id": 19, "text": "top left"}, {"id": 20, "text": "right up"}], "answer": {"id": 20, "text": "right up"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 4, "blocks": [{"id": 4, "text": "\\uac00\\uc744\\uc774 \\uc5b4\\uba38\\ub2c8\\uac00 \\uc2dd\\ud488\\uad00 \\uc911 \\uacfc\\uc77c\\ucf54\\ub108\\uc5d0 \\uc788\\ub2e4\\uace0 \\ud560 \\ub54c, \\uacfc\\uc77c\\ucf54\\ub108\\ub85c \\uac00\\uae30 \\uc704\\ud574\\uc11c\\ub294 \\ub2e4\\uc74c\\uc758 \\uc554\\ud638\\ub97c \\ud574\\ub3c5\\ud574\\uc57c \\ud55c\\ub2e4. \\r\\n\\r\\n[ 18090708202116 ]\\r\\n\\r\\n*\\uc601\\ubb38 \\uc21c\\uc11c: A B C D E F G H I J K L M N O P Q R S T U V W X Y Z\\r\\n\\r\\n\\uc554\\ud638\\uc758 \\uc22b\\uc790\\ub294 \\ub450 \\uc790\\ub9ac\\uc529 \\ub04a\\uc5b4\\uc11c \\ud574\\ub3c5\\ud558\\uace0 \\uac01\\uac01 1\\uac1c\\uc758 \\uc601\\ubb38\\uc790\\uc5d0 \\ub300\\uc751\\ub41c\\ub2e4. \\uc554\\ud638\\uac00 \\ucd1d 7\\uac1c\\uc758 \\uc601\\ubb38\\uc790\\ub85c \\uc774\\ub8e8\\uc5b4\\uc84c\\ub2e4\\uace0 \\ud560 \\ub54c, \\ub2e4\\uc74c \\uc911 \\uacfc\\uc77c\\ucf54\\ub108\\uc758 \\uc704\\uce58\\ub294 \\uc5b4\\ub514\\uc77c\\uae4c?", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 3, "name": "\\uc77c\\ubc18\\ud654 \\ub2a5\\ub825"}], "name": "among_elementary4"}], "name": "elementary"}}, {"id": 54, "answers": [{"id": 5, "text": "\\u314c"}, {"id": 9, "text": "\\u3131, \\u3134, \\u3139"}, {"id": 14, "text": "12"}, {"id": 20, "text": "right up"}], "exam": {"id": 1, "questions": [{"id": 1, "response": {"id": 1, "choices": [{"id": 2, "text": "\\u3148"}, {"id": 3, "text": "\\u314a"}, {"id": 4, "text": "\\u314b"}, {"id": 5, "text": "\\u314c"}, {"id": 6, "text": "\\u314d"}], "answer": {"id": 3, "text": "\\u314a"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 1, "blocks": [{"id": 1, "text": "\\uac00\\uc744\\uc774\\ub294 \\ubc31\\ud654\\uc810 \\uc548\\uc5d0 \\uc788\\ub294 \\uc601\\ud654\\uad00\\uc5d0\\uc11c \\uc601\\ud654\\ub97c \\ubcf4\\ub824\\uace0 \\ud569\\ub2c8\\ub2e4. \\ub2e4\\uc74c\\uacfc \\uac19\\uc740 \\uc21c\\uc11c\\ub85c \\uc7a5\\uc18c\\ub97c \\ucc3e\\uc744 \\uc218 \\uc788\\ub2e4.\\r\\n\\r\\n\\ubc31\\ud654\\uc810 \\ub0b4\\uc5d0 \\uc788\\ub294 \\uc601\\ud654\\uad00\\uc744 \\ucc3e\\uae30 \\uc704\\ud55c \\ubc29\\ubc95\\uc740 \\ub2e4\\uc74c\\uacfc \\uac19\\ub2e4.\\r\\n\\ubc31\\ud654\\uc810 1\\uce35\\uc5d0 \\uc788\\ub294 iMAP\\uc73c\\ub85c \\uac04\\ub2e4. \\uadf8 \\ub2e4\\uc74c \\uac00\\uace0\\uc790 \\ud558\\ub294 \\uc7a5\\uc18c\\ub97c \\uac80\\uc0c9\\ud55c\\ub2e4. \\r\\niMAP\\uc5d0\\uc11c \\uc7a5\\uc18c\\uc5d0 \\ub300\\ud55c \\uc704\\uce58\\uc815\\ubcf4\\ub97c 2\\uac00\\uc9c0 \\ud78c\\ud2b8\\ub85c \\uc81c\\uacf5\\ub41c\\ub2e4. \\r\\n\\r\\n\\uccab \\ubc88\\uc9f8 \\ud78c\\ud2b8\\ub294 \\uc7a5\\uc18c\\uac00 \\uba87 \\uce35\\uc5d0 \\uc788\\ub294\\uc9c0\\ub97c \\ud55c\\uae00\\ub85c \\uc54c\\ub824\\uc8fc\\uace0,\\r\\n\\ub450 \\ubc88\\uc9f8 \\ud78c\\ud2b8\\ub294 \\uc5b4\\ub290 \\uc704\\uce58\\uc5d0 \\uc788\\ub294\\uc9c0\\ub97c \\uc22b\\uc790\\uc815\\ubcf4\\ub85c \\uc54c\\ub824\\uc900\\ub2e4.\\r\\n\\r\\n\\uc608\\ub97c \\ub4e4\\uc5b4, \\u3131\\uc774\\uba74 1\\uce35\\uc774\\uace0 \\u3141\\uc774\\uba74 5\\uce35\\uc744 \\ub098\\ud0c0\\ub0b8\\ub2e4.\\r\\n\\ud55c\\uae00\\uacfc \\ub3d9\\uc77c\\ud558\\uac8c A\\uc774\\uba74 1\\uce35\\uc774\\uace0 E\\uc774\\uba74 5\\uce35\\uc744 \\ub098\\ud0c0\\ub0b8\\ub2e4.\\r\\n\\r\\n*\\ud55c\\uae00 \\uc21c\\uc11c: \\u3131 \\u3134 \\u3137 \\u3139 \\u3141 \\u3142 \\u3145 \\u3147 \\u3148 \\u314a \\u314b \\u314c \\u314d \\u314e\\r\\n*\\uc601\\ubb38 \\uc21c\\uc11c: A B C D E F G H I J K L M N O P Q R S T U V W X Y Z\\r\\n\\r\\n\\uc601\\ud654\\uad00\\uc5d0 \\ub300\\ud55c iMAP\\uc758 \\uc704\\uce58 \\uc815\\ubcf4\\uac00 \\ub2e4\\uc74c\\uacfc \\uac19\\uc744 \\ub54c, \\uc601\\ud654\\uad00\\uc740 \\uba87 \\uce35\\uc5d0 \\uc788\\uc2b5\\ub2c8\\uae4c? \\r\\n\\r\\n\\r\\n[ \\uc601\\ud654\\uad00 : \\u3137 + \\u3147 ]", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 1, "name": "\\ubd84\\uc11d\\ub2a5\\ub825"}], "name": "among_elementary1"}, {"id": 2, "response": {"id": 2, "choices": [{"id": 1, "text": "\\u3131, \\u3134"}, {"id": 7, "text": "\\u3131, \\u3134, \\u3137, \\u3139, \\u3141"}, {"id": 8, "text": "\\u3131, \\u3134, \\u3137"}, {"id": 9, "text": "\\u3131, \\u3134, \\u3139"}, {"id": 10, "text": "\\u3131, \\u3134, \\u3141"}], "answer": {"id": 9, "text": "\\u3131, \\u3134, \\u3139"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 2, "blocks": [{"id": 2, "text": "\\uac00\\uc744\\uc774\\ub294 \\uc601\\ud654\\ub97c \\ub2e4 \\ubcf8 \\ud6c4 \\uc5b4\\uba38\\ub2c8\\uc640 \\uc2dd\\ud488\\uad00\\uc5d0\\uc11c \\ub9cc\\ub098\\uae30\\ub85c \\ud588\\ub2e4. \\ub2e4\\uc74c\\uc740 \\uac00\\uc744\\uc774\\uac00 \\uc2dd\\ud488\\uad00\\uc5d0 \\uac00\\uae30 \\uc704\\ud574\\uc11c \\uace0\\ub824\\ud574\\uc57c \\ud560 \\uc804\\uc81c\\uc870\\uac74\\uc5d0 \\ub300\\ud574 \\ub098\\uc5f4\\ud55c \\uac83\\uc774\\ub2e4. \\ubc18\\ub4dc\\uc2dc \\ud544\\uc694\\ud55c \\uc870\\uac74\\uc73c\\ub85c\\ub9cc \\ubb36\\uc778 \\uac83\\uc740? \\r\\n\\r\\n\\r\\n\\r\\n\\u3131. \\uc5b4\\ub290 \\uc7a5\\uc18c\\ub97c \\uac00\\uc57c\\ud558\\ub294\\uc9c0 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3134. iMAP\\uc774 \\uc5b4\\ub514\\uc788\\ub294\\uc9c0 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3137. \\ubc31\\ud654\\uc810 \\uc6b4\\uc601\\uc2dc\\uac04\\uc744 \\uc54c\\uace0\\uc788\\ub294\\uac00?\\r\\n\\u3139. \\uc704\\uce58 \\uc815\\ubcf4\\uc5d0 \\ub300\\ud55c \\ud78c\\ud2b8\\ub97c \\ud574\\ub3c5\\ud560 \\uc218 \\uc788\\ub294\\uac00?\\r\\n\\u3141. \\uc5d8\\ub9ac\\ubca0\\uc774\\ud130 \\uc791\\ub3d9\\uc740 \\uc6d0\\ud65c\\ud55c\\uac00?", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 2, "name": "\\ubaa8\\ub378\\ub9c1 \\ub2a5\\ub825"}], "name": "among_elementary2"}, {"id": 3, "response": {"id": 3, "choices": [{"id": 11, "text": "2"}, {"id": 12, "text": "5"}, {"id": 13, "text": "7"}, {"id": 14, "text": "12"}, {"id": 15, "text": "13"}], "answer": {"id": 14, "text": "12"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 3, "blocks": [{"id": 3, "text": "\\ub2e4\\uc74c\\uacfc \\uac19\\uc740 \\uc77c\\ub828\\uc758 \\uc21c\\uc11c\\ub85c \\uc2dd\\ud488\\uad00\\uc744 \\ucc3e\\uc73c\\ub824\\uace0 \\ud55c\\ub2e4.\\r\\n\\r\\n\\r\\n1) iMAP\\uc73c\\ub85c \\uac00\\uc11c \\uc7a5\\uc18c\\ub97c \\uac80\\uc0c9\\ud55c\\ub2e4.\\r\\n                            \\u2193\\r\\n2) \\uc704\\uce58\\uc815\\ubcf4\\ub97c \\ud655\\uc778\\ud55c\\ub2e4.\\r\\n                            \\u2193\\r\\n3) \\ud55c\\uae00 \\ud78c\\ud2b8\\uc5d0 \\ub300\\ud55c \\uc815\\ubcf4\\ub97c \\ud574\\ub3c5\\ud558\\uc5ec \\uc2dd\\ud488\\uad00\\uc774 \\uba87 \\uce35\\uc778\\uc9c0 \\ud655\\uc778\\ud55c\\ub2e4.\\r\\n(\\ub2e8, \\uac01 \\uae00\\uc790\\ub294 \\u3131\\ubd80\\ud130 \\uc2dc\\uc791\\ud558\\uc5ec \\ubc18\\ubcf5\\ud69f\\uc218\\ub97c \\uacc4\\uc0b0\\ud55c\\ub2e4. \\uc608\\ub97c \\ub4e4\\uc5b4, \\u3137\\uc758 \\uacbd\\uc6b0 \\ubc18\\ubcf5\\ud69f\\uc218\\ub294 3\\ubc88\\uc774\\ub2e4.)\\r\\n*\\ud55c\\uae00 \\uc21c\\uc11c: \\u3131 \\u3134 \\u3137 \\u3139 \\u3141 \\u3142 \\u3145 \\u3147 \\u3148 \\u314a \\u314b \\u314c \\u314d \\u314e\\r\\n                            \\u2193\\r\\n4) \\uc2dd\\ud488\\uad00\\uc758 \\uc704\\uce58\\ub97c \\ud655\\uc778\\ud558\\uc5ec \\uc7a5\\uc18c\\ub97c \\uc774\\ub3d9\\ud55c\\ub2e4.\\r\\n\\r\\n\\r\\n\\r\\n\\uc2dd\\ud488\\uad00\\uc758 \\uc704\\uce58\\uc5d0 \\ub300\\ud55c iMAP\\uc758 \\ud55c\\uae00 \\ud78c\\ud2b8 \\uc815\\ubcf4\\uac00 \\ub2e4\\uc74c\\uacfc \\uac19\\uc744 \\ub54c, \\uacfc\\uc815 3)\\uc744 \\uba87 \\ubc88 \\ubc18\\ubcf5\\ud574\\uc57c \\ud560\\uae4c? \\r\\n\\r\\n[ \\uc2dd\\ud488\\uad00: \\u3145 + \\u3141]", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 4, "name": "\\uad6c\\ud604\\ub2a5\\ub825"}], "name": "among_elementary3"}, {"id": 4, "response": {"id": 4, "choices": [{"id": 16, "text": "bottom up"}, {"id": 17, "text": "top up up"}, {"id": 18, "text": "top down"}, {"id": 19, "text": "top left"}, {"id": 20, "text": "right up"}], "answer": {"id": 20, "text": "right up"}, "polymorphic_ctype": 16, "resourcetype": "UniqueAnswerResponse"}, "context_block": {"id": 4, "blocks": [{"id": 4, "text": "\\uac00\\uc744\\uc774 \\uc5b4\\uba38\\ub2c8\\uac00 \\uc2dd\\ud488\\uad00 \\uc911 \\uacfc\\uc77c\\ucf54\\ub108\\uc5d0 \\uc788\\ub2e4\\uace0 \\ud560 \\ub54c, \\uacfc\\uc77c\\ucf54\\ub108\\ub85c \\uac00\\uae30 \\uc704\\ud574\\uc11c\\ub294 \\ub2e4\\uc74c\\uc758 \\uc554\\ud638\\ub97c \\ud574\\ub3c5\\ud574\\uc57c \\ud55c\\ub2e4. \\r\\n\\r\\n[ 18090708202116 ]\\r\\n\\r\\n*\\uc601\\ubb38 \\uc21c\\uc11c: A B C D E F G H I J K L M N O P Q R S T U V W X Y Z\\r\\n\\r\\n\\uc554\\ud638\\uc758 \\uc22b\\uc790\\ub294 \\ub450 \\uc790\\ub9ac\\uc529 \\ub04a\\uc5b4\\uc11c \\ud574\\ub3c5\\ud558\\uace0 \\uac01\\uac01 1\\uac1c\\uc758 \\uc601\\ubb38\\uc790\\uc5d0 \\ub300\\uc751\\ub41c\\ub2e4. \\uc554\\ud638\\uac00 \\ucd1d 7\\uac1c\\uc758 \\uc601\\ubb38\\uc790\\ub85c \\uc774\\ub8e8\\uc5b4\\uc84c\\ub2e4\\uace0 \\ud560 \\ub54c, \\ub2e4\\uc74c \\uc911 \\uacfc\\uc77c\\ucf54\\ub108\\uc758 \\uc704\\uce58\\ub294 \\uc5b4\\ub514\\uc77c\\uae4c?", "polymorphic_ctype": 15, "resourcetype": "TextBlock"}]}, "tags": [{"id": 3, "name": "\\uc77c\\ubc18\\ud654 \\ub2a5\\ub825"}], "name": "among_elementary4"}], "name": "elementary"}}], "name": "\\ud64d\\uc2b9\\uc758"}')

    print(c_json)